GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
geos::geom::util::ShortCircuitedGeometryVisitor Class Referenceabstract

A visitor to Geometry elements which can be short-circuited by a given condition. More...

`#include <ShortCircuitedGeometryVisitor.h>`

## Public Member Functions
void | applyTo (const Geometry &geom)

## Protected Member Functions
virtual void | visit (const Geometry &element)=0
virtual bool | isDone ()=0

## Detailed Description

A visitor to Geometry elements which can be short-circuited by a given condition.

Last port: geom/util/ShortCircuitedGeometryVisitor.java rev. 1.1 (JTS-1.7)

The documentation for this class was generated from the following file:

- ShortCircuitedGeometryVisitor.h